Subject: Offline Message from Sumbal: Hi I have a collection for refund. All items unu
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 29 Jun 2020 12:21:36 -0000

From: Sumbal <[email-masked]>
Phone: 
Location: Coventry, United Kingdom
URL: https://www.mumzworld.com/
Department: 

Hi I have a collection for refund. All items unused and as received however I no longer have the cardboard box in which they came. I did keep it for a very long period and only last week threw it out. It’s taken mumzworld exceptionally long to sort my refund. Kindly advise how you would like the items packed? Thanks

----
Zopim
https://www.zopim.com